<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.finance.mapper.IntOndaterangeAccountFileMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="org.springblade.finance.entity.IntOndaterangeAccountFile">
        <result column="SID" property="sid" />
        <result column="FILE_PATH" property="filePath" />
        <result column="UPLOAD_USER" property="uploadUser" />
        <result column="UPLOAD_TIME" property="uploadTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        SID, FILE_PATH, UPLOAD_USER, UPLOAD_TIME
    </sql>

    <!-- 400扣罚明细 -->
    <select id="getFzzDetail" resultType="org.springblade.finance.vo.DateRangeAccountFzzVO">
        SELECT
            THEMONTH,
            ACCEPT_PHONENUM,
            SPNAME,
            PROVINCE,
            APPLY_MONEY
        FROM
            INT_400_DETAIL_PARTNER
        WHERE
            sid = #{sid}
    </select>

    <!-- 客服退赔 -->
    <select id="getKftpDetail" resultType="org.springblade.finance.vo.DateRangeAccountKftpVO">
        SELECT
            themonth,
            money2_discount1
        FROM
            V_INT_ONDATERANGE_ACCOUNT
        WHERE
            sid = #{sid}
    </select>

    <select id="getDfwyDetail" resultType="org.springblade.finance.vo.DateRangeAccountSfwyVO">
        SELECT
            THEMONTH,
            USERID,
            SPNAME,
            PROVINCE,
            MONEY
        FROM
            INT_PROV_DETAIL_PARTNER
        WHERE
            sid = #{sid}
    </select>

    <select id="getTzjeDetail" resultType="org.springblade.finance.vo.DateRangeAccountTzjeVO">
        SELECT
            themonth,
            money2_discount3
        FROM
            V_INT_ONDATERANGE_ACCOUNT
        WHERE
            sid = #{sid}
    </select>

    <select id="getBgfdzDetail" resultType="org.springblade.finance.vo.DateRangeAccountBgfdzVO">
        SELECT
            THEMONTH,
            USERID,
            SPNAME,
            PROVINCE,
            MONEY
        FROM
            INT_IRREGULAR_DETAIL_PARTNER
        WHERE
            sid = #{sid}
    </select>

</mapper>
